Package org.eclipse.cdt.core.settings.model.extension.impl

## Class CDefaultFolderData

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject
  - - org.eclipse.cdt.core.settings.model.extension.CResourceData
    - - org.eclipse.cdt.core.settings.model.extension.CFolderData
      - - org.eclipse.cdt.core.settings.model.extension.impl.CDefaultFolderData

All Implemented Interfaces:
  `ICSettingBase`

    public class CDefaultFolderData
    extends CFolderData

### Field Summary

Fields
`protected CConfigurationData` `fCfg`
`protected String` `fId`
`protected boolean` `fIsModified`
`protected List<CLanguageData>` `fLanguageDatas`
`protected String` `fName`
`protected org.eclipse.core.runtime.IPath` `fPath`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Constructor Summary

Constructors
`CDefaultFolderData​(String id, org.eclipse.core.runtime.IPath path, CConfigurationData cfg, CDataFactory factory)`
`CDefaultFolderData​(String id, org.eclipse.core.runtime.IPath path, CFolderData base, CConfigurationData cfg, CDataFactory factory, boolean clone)`
`CDefaultFolderData​(CConfigurationData cfg, CDataFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `copyDataFrom​(CFolderData base, boolean clone)`
`protected CLanguageData` `copyLanguageData​(CLanguageData base, boolean clone)`
`CLanguageData` `createLanguageDataForContentTypes​(String languageId, String[] typesIds)`
`CLanguageData` `createLanguageDataForExtensions​(String languageId, String[] extensions)`
`String` `getId()`
`CLanguageData[]` `getLanguageDatas()`
`String` `getName()`
`org.eclipse.core.runtime.IPath` `getPath()`
`boolean` `hasCustomSettings()`
`boolean` `isModified()`
`boolean` `isValid()`
`void` `setModified​(boolean modified)`
`void` `setPath​(org.eclipse.core.runtime.IPath path)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CFolderData

`getType`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CResourceData

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fPath

    protected org.eclipse.core.runtime.IPath fPath

#### fLanguageDatas

    protected List<CLanguageData> fLanguageDatas

#### fName

    protected String fName

#### fId

    protected String fId

#### fCfg

    protected CConfigurationData fCfg

#### fIsModified

    protected boolean fIsModified

### Constructor Detail

#### CDefaultFolderData

    public CDefaultFolderData​(CConfigurationData cfg,
                              CDataFactory factory)

#### CDefaultFolderData

    public CDefaultFolderData​(String id,
                              org.eclipse.core.runtime.IPath path,
                              CConfigurationData cfg,
                              CDataFactory factory)

#### CDefaultFolderData

    public CDefaultFolderData​(String id,
                              org.eclipse.core.runtime.IPath path,
                              CFolderData base,
                              CConfigurationData cfg,
                              CDataFactory factory,
                              boolean clone)

### Method Detail

#### copyDataFrom

    protected void copyDataFrom​(CFolderData base,
                                boolean clone)

#### copyLanguageData

    protected CLanguageData copyLanguageData​(CLanguageData base,
                                             boolean clone)

#### getLanguageDatas

    public CLanguageData[] getLanguageDatas()

Specified by:
  `getLanguageDatas` in class `CFolderData`

#### getPath

    public org.eclipse.core.runtime.IPath getPath()

Specified by:
  `getPath` in class `CResourceData`

#### setPath

    public void setPath​(org.eclipse.core.runtime.IPath path)

Specified by:
  `setPath` in class `CResourceData`

#### getName

    public String getName()

Specified by:
  `getName` in class `CDataObject`

#### getId

    public String getId()

Specified by:
  `getId` in class `CDataObject`

#### isValid

    public boolean isValid()

Specified by:
  `isValid` in class `CDataObject`

#### createLanguageDataForContentTypes

    public CLanguageData createLanguageDataForContentTypes​(String languageId,
                                                           String[] typesIds)

Specified by:
  `createLanguageDataForContentTypes` in class `CFolderData`

#### createLanguageDataForExtensions

    public CLanguageData createLanguageDataForExtensions​(String languageId,
                                                         String[] extensions)

Specified by:
  `createLanguageDataForExtensions` in class `CFolderData`

#### isModified

    public boolean isModified()

#### setModified

    public void setModified​(boolean modified)

#### hasCustomSettings

    public boolean hasCustomSettings()

Specified by:
  `hasCustomSettings` in class `CResourceData`